Debian paketit

Yleiset ongelmat, ohjelmien kääntäminen, kernel, lirc jne.
Post Reply
P.Kosunen
Yli-ihminen
Posts: 1148
Joined: 06.11.2005 14:08
Location: Helsinki

Debian paketit

Post by P.Kosunen »

Mistä pakettivarastosta nykyään kannattaa asennella tuoreet VDR developer ja XBMC (PVR?) versiot Debian unstableen? (VDR:n sc plugin pitäisi myös löytyä)

Vai meneekö edelleen kääntämisen puolelle?

nm
Johtava konsultti
Posts: 3160
Joined: 22.07.2005 3:00

Re: Debian paketit

Post by nm »

Developer-version paketointia ei taida olla Debianille vielä missään, eli ne joudut itse tekemään 2.0-sarjan pakettien pohjalta. Myöskään sc-pluginia ei ole suoraan tarjolla, mutta deb-paketin rakentaminen on kohtalaisen helppoa:
https://wiki.debian.org/VDR#Install_vdr ... rom_source

Ubuntulle olisi näemmä valmiit binäärit näistä kaikista: https://launchpad.net/~aap/+archive/vdr

P.Kosunen
Yli-ihminen
Posts: 1148
Joined: 06.11.2005 14:08
Location: Helsinki

Re: Debian paketit

Post by P.Kosunen »

https://github.com/AndreyPavlenko/vdr-b ... -plugin-sc
Lataa tuo debian hakemisto.

Code: Select all

hg clone http://85.17.209.13:6100/sc
wget http://download.mn-home.fr/VDR/debianize-sc/sc-debian-package-11112011-2.diff 
cd sc/
patch -p1 <../sc-debian-package-11112011-2.diff
unzip ../debian.zip # Andrey Pavlenkon paketti, A korvaa kaikki
sed -i debian/control -e 's/#VDR_VERSION#/2.0.0/g'
dpkg-buildpackage -us -uc -b
Ei onnistunut suoraan wikin ohjeella, mutta noin syntyy ainakin .deb paketit Debian unstable/sid kanssa.

P.Kosunen
Yli-ihminen
Posts: 1148
Joined: 06.11.2005 14:08
Location: Helsinki

Re: Debian paketit

Post by P.Kosunen »

Code: Select all

WARNING: The following plugins have been left out due to really binary incompatibility: sc.

Code: Select all

ERROR: /usr/lib/vdr/plugins/libvdr-sc.so.2.0.0: undefined symbol: _ZTI12cScDvbDevice
Eipä käynnisty, mikä mahtaa olla pielessä?

rofafor
Optikkoliikkeen kopiovastaava
Posts: 1365
Joined: 26.03.2004 3:00
Location: Internet

Re: Debian paketit

Post by rofafor »

P.Kosunen wrote:Mistä pakettivarastosta nykyään kannattaa asennella tuoreet VDR developer ja XBMC (PVR?) versiot Debian unstableen? (VDR:n sc plugin pitäisi myös löytyä)
VDR-2.1.4:n kanssa tarvitaan omalähtöistä pätsäämistä, jos haluat sc:n toimimaan, mutta dvbapi toimii vastaavasti suoraan ilman kikkailuja.

P.Kosunen
Yli-ihminen
Posts: 1148
Joined: 06.11.2005 14:08
Location: Helsinki

Re: Debian paketit

Post by P.Kosunen »

VDR 2.1.4 + dvbapi pluginin kanssako pärjää ilman OScamia, vanhemmilla vaatii erikseen OScamin?

rofafor
Optikkoliikkeen kopiovastaava
Posts: 1365
Joined: 26.03.2004 3:00
Location: Internet

Re: Debian paketit

Post by rofafor »

P.Kosunen wrote:VDR 2.1.4 + dvbapi pluginin kanssako pärjää ilman OScamia, vanhemmilla vaatii erikseen OScamin?
Kuten pluginin nimestä näkee, niin se tarvitsee kaverikseen OScamin dvbapi-modulin.

P.Kosunen
Yli-ihminen
Posts: 1148
Joined: 06.11.2005 14:08
Location: Helsinki

Re: Debian paketit

Post by P.Kosunen »

Taitaa olla helpompi tyytyä Ubuntuun niin löytyy kaikki valmiina.

P.Kosunen
Yli-ihminen
Posts: 1148
Joined: 06.11.2005 14:08
Location: Helsinki

Re: Debian paketit

Post by P.Kosunen »

Oscam+dvbapi yhdistelmä ei vaikuttanut oikein varmalta ja kanavanvaihto oli hitaampi kuin sc pluginin kanssa joten käänsin koko VDR:n ja pluginit käsin, sainpa vielä hankalan ttxtsubs plugininkin mukaan. Tuo ylempi undefined symbol virhe taisi johtua ../dvbsddevice ja ../dvbhddevice puuttumisesta käännösvaiheessa. Ubuntu 13.10 on siis säädön alla, taidan pitää tämän toistaiseksi valmiiden team XBMC pakettien vuoksi.

Post Reply